--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/science/wview/Portfile	2009-11-19 13:42:33.000000000 -0600
+++ portfile	2009-12-13 10:28:16.000000000 -0600
@@ -1,79 +1,107 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; truncate-lines: t; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:et:sw=4:ts=4:sts=4
-# $Id: Portfile 60665 2009-11-19 19:42:33Z snc@macports.org $
+# $Id:$
 
-PortSystem      1.0
+PortSystem          1.0
 
-name            wview
-
-version             5.7.1
-
-categories      science
-
-maintainers     mac.com:mbrooksclark
-
-homepage        http://wviewweather.com/
-
-description     Daemons that download and archive data from supported weather stations
+name                wview
+version             5.8.0
+categories          science
+maintainers         mac.com:mbrooksclark
+homepage            http://wviewweather.com/
+description         unix weather application that generates web sites
 
 long_description \
-  wview is a unix application for weather stations. It archives weather \
-  data from the station. Generates full html web sites with graphics. \
-  ftp/ssh export capability. International. Weather alarms. Data feed. \
-  RSS feed. Stations currently supported include: Davis Vantage Pro/Pro2,\
-  Vaisala WXT-510, La Crosse WS-2300, and a weather station simulator.
-
-platforms        darwin
-
-use_autoconf     yes
-
-master_sites     sourceforge:wview
+  wview is a collection of linux/unix daemons that interface with a supported \
+  weather station to retrieve archive records (if generated by the station) and \
+  current conditions. The archive records are stored in an SQLite3 database. At a \
+  configurable interval, wview will utilize the archive history and current \
+  conditions to generate weather images (buckets, dials and graphs) and HTML web \
+  pages based on user-configurable HTML templates.
+
+platforms           darwin
+universal_variant   no
+use_autoconf        yes
+master_sites        sourceforge:wview
 
 depends_lib         port:gd2 port:radlib port:openssl port:libpng port:zlib \
                     port:sqlite3 port:curl
 depends_build       port:gawk
 
-checksums           md5     c704ea480b7b444b51b7b6a63ef56198 \
-                    sha1    69017f9354eaa74b2441bdabcd314083c55f3e19 \
-                    rmd160  a63ca2894abcd62b18804dda8d8fb50fb4f7b8e0
-
-configure.args      --enable-station-sim --enable-http 
+checksums           md5     22145b0f1ff4ba72828668430ead2dcd \
+                    sha1    80b95fa86740000a80d4dedb131aeaf48a6a15bc \
+                    rmd160  e5e3185ff6e28b437c4b0b2c894cf4cd6379cc3c
 
-configure.env-append    HTTP_DOC_ROOT="${prefix}/www"
+configure.args      --enable-station-sim --enable-http
 
 destroot.violate_mtree
 
 post-destroot {
-    xinstall -d -o root -g wheel -m 755 ${destroot}/Library/StartupItems
+  xinstall -d -o root -g wheel -m 755 ${destroot}/Library/StartupItems
+  
   xinstall -d -o root -g wheel -m 755 \
     ${worksrcpath}/examples/MacOSX/wview ${destroot}/Library/StartupItems/wview
-
+  
   xinstall -o root -g wheel -m 755 ${worksrcpath}/examples/MacOSX/wview/wview \
     ${destroot}/Library/StartupItems/wview/wview
-
+  
   xinstall -o root -g wheel -m 644 \
     ${worksrcpath}/examples/MacOSX/wview/StartupParameters.plist \
     ${destroot}/Library/StartupItems/wview/StartupParameters.plist
-          
+    
+  file rename ${destroot}${prefix}/var/wviewmgmt ${destroot}${prefix}/www/wviewmgmt
+  
+  reinplace "s|/etc/init.d/wview stop|/sbin/SystemStarter stop wview|" \
+    ${destroot}${prefix}/www/wviewmgmt/wview_control.php
+    
+  reinplace "s|/etc/init.d/wview start|/sbin/SystemStarter start wview|" \
+    ${destroot}${prefix}/www/wviewmgmt/wview_control.php
+    
+  reinplace "s|/etc/init.d/wview stop|/sbin/SystemStarter stop wview|" \
+    ${destroot}${prefix}/www/wviewmgmt/wview_upgrade.php
+  
   file mkdir ${destroot}${prefix}/share/doc/${name}
-
+  
+  file mkdir ${destroot}${prefix}/share/${name}/etc
+  
+  file mkdir ${destroot}${prefix}/share/${name}/var
+  
+  file rename ${destroot}${prefix}/etc/${name} \
+    ${destroot}${prefix}/share/${name}/etc/${name}
+  
+  file rename ${destroot}${prefix}/var/${name} \
+    ${destroot}${prefix}/share/${name}/var/${name}
+  
   file copy ${worksrcpath}/wview-Quick-Start-MacOSX.html \
     ${destroot}${prefix}/share/doc/${name}/wview-Quick-Start-MacOSX.html
-
+  
   file copy ${worksrcpath}/wview-Quick-Start.html \
     ${destroot}${prefix}/share/doc/${name}/wview-Quick-Start.html
-
+  
   file copy ${worksrcpath}/wview-User-Manual.html \
     ${destroot}${prefix}/share/doc/${name}/wview-User-Manual.html
-
+  
   file copy ${worksrcpath}/COPYING \
     ${destroot}${prefix}/share/doc/${name}/COPYING
-
+  
   file copy ${worksrcpath}/UPGRADE \
     ${destroot}${prefix}/share/doc/${name}/UPGRADE
 }
 
 post-install {
-  ui_msg "\n#####################################"
+  if {![file exists ${prefix}/var/${name}]} {
+    file copy ${destroot}${prefix}/share/${name}/var/${name} ${prefix}/var/wview
+  }
+  
+  if {![file exists ${prefix}/etc/${name}/wview-conf.sdb]} {
+    file copy ${destroot}${prefix}/share/${name}/etc/${name} ${prefix}/etc/wview
+    file attributes ${prefix}/etc/wview -group www
+    file attributes ${prefix}/etc/${name}/wview-conf.sdb -group www
+  }
+  
+  file copy -force ${destroot}${prefix}/share/${name}/etc/${name}/wview-version \
+    ${prefix}/etc/wview/wview-version
+  
+  ui_msg "#####################################"
   ui_msg "Run"
   ui_msg "\tsudo ${prefix}/bin/wviewconfig"
   ui_msg "\tsudo ${prefix}/bin/wviewhtmlconfig"