Only in wine-crossover-games-8.1.0/freetype: .gitignore
diff -ru freetype-2.3.9/Makefile wine-crossover-games-8.1.0/freetype/Makefile
--- freetype-2.3.9/Makefile	2006-02-01 01:34:52.000000000 -0600
+++ wine-crossover-games-8.1.0/freetype/Makefile	2009-11-17 16:06:43.000000000 -0600
@@ -31,4 +31,6 @@
 
 include $(TOP_DIR)/builds/toplevel.mk
 
+depend:
+
 # EOF
diff -ru freetype-2.3.9/builds/freetype.mk wine-crossover-games-8.1.0/freetype/builds/freetype.mk
--- freetype-2.3.9/builds/freetype.mk	2008-10-02 00:53:00.000000000 -0500
+++ wine-crossover-games-8.1.0/freetype/builds/freetype.mk	2009-11-17 16:06:43.000000000 -0600
@@ -355,7 +355,7 @@
 #
 clean: clean_project
 distclean: distclean_project remove_config_mk remove_ftmodule_h
-	-$(DELETE) $(subst /,$(SEP),$(DOC_DIR)/*.html $(NO_OUTPUT))
+	-$(DELETE) $(subst /,$(SEP), $(NO_OUTPUT))
 
 
 # EOF
diff -ru freetype-2.3.9/builds/toplevel.mk wine-crossover-games-8.1.0/freetype/builds/toplevel.mk
--- freetype-2.3.9/builds/toplevel.mk	2009-01-13 23:28:54.000000000 -0600
+++ wine-crossover-games-8.1.0/freetype/builds/toplevel.mk	2009-11-17 16:06:44.000000000 -0600
@@ -121,6 +121,7 @@
   # Note: This test is duplicated in `builds/unix/detect.mk'.
   #
   is_unix := $(strip $(wildcard /sbin/init) \
+                     $(wildcard /sbin/launchd) \
                      $(wildcard /usr/sbin/init) \
                      $(wildcard /hurd/auth))
   ifneq ($(is_unix),)
Only in wine-crossover-games-8.1.0/freetype/builds/unix: .gitignore
diff -ru freetype-2.3.9/builds/unix/configure wine-crossover-games-8.1.0/freetype/builds/unix/configure
--- freetype-2.3.9/builds/unix/configure	2009-03-12 04:57:46.000000000 -0500
+++ wine-crossover-games-8.1.0/freetype/builds/unix/configure	2009-11-17 16:06:44.000000000 -0600
@@ -2147,6 +2147,17 @@
 
 
 
+echo host is $host
+case $host in
+  x86_64*linux*)
+    if test "x$enable_win64" != "xyes"
+    then
+      test -n "$CC" || CC="gcc -m32"
+      test -n "$LD" || LD="ld -m elf_i386"
+      host_cpu="i386"
+    fi
+    ;;
+esac
 
 # checks for programs
 
@@ -6086,6 +6097,15 @@
 
 # Whether to use Mac OS resource-based fonts.
 
+case $host_os in
+  darwin*|macosx*)
+    default_with_old_mac_fonts="yes"
+    ;;
+  *)
+    default_with_old_mac_fonts="no"
+    ;;
+esac
+
 ftmac_c="" # src/base/ftmac.c should not be included in makefiles by default
 
 # don't quote AS_HELP_STRING!
@@ -6093,6 +6113,8 @@
 # Check whether --with-old-mac-fonts was given.
 if test "${with_old_mac_fonts+set}" = set; then
   withval=$with_old_mac_fonts;
+else
+  with_old_mac_fonts=$default_with_old_mac_fonts
 fi
 
 if test x$with_old_mac_fonts = xyes; then
@@ -7330,13 +7352,13 @@
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:7333: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:7355: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:7336: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:7358: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:7339: output\"" >&5)
+  (eval echo "\"\$as_me:7361: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -8538,7 +8560,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 8541 "configure"' > conftest.$ac_ext
+  echo '#line 8563 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -10201,11 +10223,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10204: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10226: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10208: \$? = $ac_status" >&5
+   echo "$as_me:10230: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -10540,11 +10562,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10543: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10565: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10547: \$? = $ac_status" >&5
+   echo "$as_me:10569: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -10645,11 +10667,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10648: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10670: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10652: \$? = $ac_status" >&5
+   echo "$as_me:10674: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10700,11 +10722,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10703: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10725: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10707: \$? = $ac_status" >&5
+   echo "$as_me:10729: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -13500,7 +13522,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 13503 "configure"
+#line 13525 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13596,7 +13618,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 13599 "configure"
+#line 13621 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
diff -ru freetype-2.3.9/builds/unix/configure.ac wine-crossover-games-8.1.0/freetype/builds/unix/configure.ac
--- freetype-2.3.9/builds/unix/configure.ac	2009-03-12 04:57:37.000000000 -0500
+++ wine-crossover-games-8.1.0/freetype/builds/unix/configure.ac	2009-11-17 16:06:43.000000000 -0600
@@ -27,6 +27,17 @@
 
 AC_CANONICAL_HOST
 
+echo host is $host
+case $host in
+  x86_64*linux*)
+    if test "x$enable_win64" != "xyes"
+    then
+      test -n "$CC" || CC="gcc -m32"
+      test -n "$LD" || LD="ld -m elf_i386"
+      host_cpu="i386"
+    fi
+    ;;
+esac
 
 # checks for programs
 
@@ -261,12 +272,22 @@
 
 # Whether to use Mac OS resource-based fonts.
 
+case $host_os in
+  darwin*|macosx*)
+    default_with_old_mac_fonts="yes"
+    ;;
+  *)
+    default_with_old_mac_fonts="no"
+    ;;
+esac
+
 ftmac_c="" # src/base/ftmac.c should not be included in makefiles by default
 
 # don't quote AS_HELP_STRING!
 AC_ARG_WITH([old-mac-fonts],
   AS_HELP_STRING([--with-old-mac-fonts],
-                 [allow Mac resource-based fonts to be used]))
+                 [allow Mac resource-based fonts to be used]),,
+  [with_old_mac_fonts=$default_with_old_mac_fonts])
 if test x$with_old_mac_fonts = xyes; then
   orig_LDFLAGS="${LDFLAGS}"
   AC_MSG_CHECKING([CoreServices & ApplicationServices of Mac OS X])
diff -ru freetype-2.3.9/builds/unix/detect.mk wine-crossover-games-8.1.0/freetype/builds/unix/detect.mk
--- freetype-2.3.9/builds/unix/detect.mk	2007-12-06 10:21:03.000000000 -0600
+++ wine-crossover-games-8.1.0/freetype/builds/unix/detect.mk	2009-11-17 16:06:43.000000000 -0600
@@ -19,6 +19,7 @@
   # Note: this test is duplicated in "builds/toplevel.mk".
   #
   is_unix := $(strip $(wildcard /sbin/init) \
+                     $(wildcard /sbin/launchd) \
                      $(wildcard /usr/sbin/init) \
                      $(wildcard /hurd/auth))
   ifneq ($(is_unix),)
diff -ru freetype-2.3.9/builds/unix/install.mk wine-crossover-games-8.1.0/freetype/builds/unix/install.mk
--- freetype-2.3.9/builds/unix/install.mk	2006-03-31 23:16:40.000000000 -0600
+++ wine-crossover-games-8.1.0/freetype/builds/unix/install.mk	2009-11-17 16:06:43.000000000 -0600
@@ -20,6 +20,10 @@
 # maintainers).
 
 
+ifndef LN_S
+  LN_S := ln -s
+endif
+
 .PHONY: install uninstall check
 
 # Unix installation and deinstallation targets.
@@ -62,6 +66,20 @@
           $(DESTDIR)$(libdir)/pkgconfig/freetype2.pc
 
 
+# Unless told otherwise custom=std
+custom=std
+
+install-image: $(PROJECT_LIBRARY)
+	eval `perl $(TOP_DIR)/../cxpp -I$(TOP_DIR)/.. -DSH_EXPORT $(product:%=-DPRODUCT=%) $(custom:%=-DCUSTOM=%) $(TOP_DIR)/../DISTVERSION || echo "exit 1"` && \
+	if [ "$$has_freetype" != "none" ]; then \
+	    $(MKINSTALLDIRS) $(DESTDIR)$(libdir) && \
+	    $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_PROGRAM_FLAGS) $(PROJECT_LIBRARY) $(DESTDIR)$(libdir) && \
+	    if [ ! -f $(DESTDIR)$(libdir)/$(LIBRARY).so -a -f $(DESTDIR)$(libdir)/$(LIBRARY).dylib ]; then \
+	        (cd $(DESTDIR)$(libdir) ; $(LN_S) $(LIBRARY).dylib $(LIBRARY).so); \
+	    fi && \
+	    ($(DELETE) $(DESTDIR)$(libdir)/$(LIBRARY).a $(DESTDIR)$(libdir)/$(LIBRARY).la || true); \
+	fi
+
 uninstall:
 	-$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(libdir)/$(LIBRARY).$A
 	-$(DELETE) $(DESTDIR)$(includedir)/freetype2/freetype/config/*
@@ -87,11 +105,11 @@
 	-$(DELETE) $(BASE_OBJECTS) $(OBJ_M) $(OBJ_S)
 	-$(DELETE) $(patsubst %.$O,%.$(SO),$(BASE_OBJECTS) $(OBJ_M) $(OBJ_S)) \
                    $(CLEAN)
-
-distclean_project_unix: clean_project_unix
 	-$(DELETE) $(PROJECT_LIBRARY)
 	-$(DELETE) $(OBJ_DIR)/.libs/*
 	-$(DELDIR) $(OBJ_DIR)/.libs
+
+distclean_project_unix: clean_project_unix
 	-$(DELETE) *.orig *~ core *.core $(DISTCLEAN)
 
 # EOF
diff -ru freetype-2.3.9/builds/unix/unix-cc.in wine-crossover-games-8.1.0/freetype/builds/unix/unix-cc.in
--- freetype-2.3.9/builds/unix/unix-cc.in	2006-10-15 03:57:22.000000000 -0500
+++ wine-crossover-games-8.1.0/freetype/builds/unix/unix-cc.in	2009-11-17 16:06:43.000000000 -0600
@@ -42,7 +42,8 @@
 # The name of the final library file.  Note that the DOS-specific Makefile
 # uses a shorter (8.3) name.
 #
-LIBRARY := lib$(PROJECT)
+#LIBRARY := lib$(PROJECT)
+LIBRARY := libcxfreetype
 
 
 # Path inclusion flag.  Some compilers use a different flag than `-I' to
@@ -78,7 +79,8 @@
 #   We use our own FreeType configuration file.
 #
 CPPFLAGS := @CPPFLAGS@
-CFLAGS   := -c @XX_CFLAGS@ @CFLAGS@ -DFT_CONFIG_CONFIG_H="<ftconfig.h>"
+CFLAGS   := -c @XX_CFLAGS@ @CFLAGS@ -DFT_CONFIG_CONFIG_H="<ftconfig.h>" \
+          $(EXTRA_FREETYPE_CFLAGS)
 
 # ANSIFLAGS: Put there the flags used to make your compiler ANSI-compliant.
 #
diff -ru freetype-2.3.9/configure wine-crossover-games-8.1.0/freetype/configure
--- freetype-2.3.9/configure	2008-07-05 01:11:13.000000000 -0500
+++ wine-crossover-games-8.1.0/freetype/configure	2009-11-17 16:06:49.000000000 -0600
@@ -21,12 +21,16 @@
 
 if test -z "`$GNUMAKE -v 2>/dev/null | grep GNU`"; then
   if test -z "`$GNUMAKE -v 2>/dev/null | grep makepp`"; then
-    echo "GNU make (>= 3.80) or makepp (>= 1.19) is required to build FreeType2." >&2
-    echo "Please try" >&2
-    echo "  \`GNUMAKE=<GNU make command name> $0'." >&2
-    echo "or >&2"
-    echo "  \`GNUMAKE=\"makepp --norc-substitution\" $0'." >&2
-    exit 1
+    if test -n "`gmake -v 2>/dev/null | grep GNU`"; then
+      GNUMAKE=gmake
+    else
+      echo "GNU make (>= 3.80) or makepp (>= 1.19) is required to build FreeType2." >&2
+      echo "Please try" >&2
+      echo "  \`GNUMAKE=<GNU make command name> $0'." >&2
+      echo "or >&2"
+      echo "  \`GNUMAKE=\"makepp --norc-substitution\" $0'." >&2
+      exit 1
+    fi
   fi
 fi
 
Only in wine-crossover-games-8.1.0/freetype/docs/reference: .gitignore
diff -ru freetype-2.3.9/include/freetype/config/ftoption.h wine-crossover-games-8.1.0/freetype/include/freetype/config/ftoption.h
--- freetype-2.3.9/include/freetype/config/ftoption.h	2008-11-05 03:25:14.000000000 -0600
+++ wine-crossover-games-8.1.0/freetype/include/freetype/config/ftoption.h	2009-11-17 16:06:43.000000000 -0600
@@ -480,6 +480,9 @@
   /*   Do not #undef this macro here, since the build system might         */
   /*   define it for certain configurations only.                          */
   /*                                                                       */
+  /* Note:  In the CrossOver build system, this flag is commented out.     */
+  /*        to turn it on, define the value in EXTRA_FREETYPE_FLAGS.       */
+
 /* #define TT_CONFIG_OPTION_BYTECODE_INTERPRETER */
 
 
diff -ru freetype-2.3.9/modules.cfg wine-crossover-games-8.1.0/freetype/modules.cfg
--- freetype-2.3.9/modules.cfg	2009-01-22 03:46:29.000000000 -0600
+++ wine-crossover-games-8.1.0/freetype/modules.cfg	2009-11-17 16:06:44.000000000 -0600
@@ -37,7 +37,7 @@
 # PostScript Type 1 font driver.
 #
 # This driver needs the `psaux', `pshinter', and `psnames' modules.
-FONT_MODULES += type1
+#FONT_MODULES += type1
 
 # CFF/OpenType font driver.
 #
@@ -47,7 +47,7 @@
 # Type 1 CID-keyed font driver.
 #
 # This driver needs the `psaux', `pshinter', and `psnames' modules.
-FONT_MODULES += cid
+#FONT_MODULES += cid
 
 # PFR/TrueDoc font driver.  See optional extension ftpfr.c below also.
 FONT_MODULES += pfr
Only in wine-crossover-games-8.1.0/freetype/objs: .gitignore
Only in wine-crossover-games-8.1.0/freetype: patentobjs
diff -ru freetype-2.3.9/src/base/ftmac.c wine-crossover-games-8.1.0/freetype/src/base/ftmac.c
--- freetype-2.3.9/src/base/ftmac.c	2009-01-06 00:58:43.000000000 -0600
+++ wine-crossover-games-8.1.0/freetype/src/base/ftmac.c	2009-11-17 16:06:48.000000000 -0600
@@ -737,7 +737,7 @@
 
 
     sfnt = GetResource( TTAG_sfnt, sfnt_id );
-    if ( sfnt == NULL )
+    if ( ResError() || sfnt == NULL )
       return FT_Err_Invalid_Handle;
 
     sfnt_size = (FT_ULong)GetHandleSize( sfnt );
Only in wine-crossover-games-8.1.0/freetype/src/tools/docmaker: .gitignore