--- Portfile.1.0.20_0	2010-01-30 18:19:25.000000000 +0100
+++ Portfile	2010-01-30 18:06:08.000000000 +0100
@@ -3,31 +3,35 @@
 PortSystem          1.0
 
 name                libsndfile
-version             1.0.20
+version             1.0.21
 revision            0
 categories          audio
 maintainers         perry
 platforms           darwin
 
-description         libsndfile is a C library for reading and writing files \
+description         library for reading and writing sound files
+long_description    libsndfile is a C library for reading and writing files \
                     containing sampled sound (such as MS Windows WAV and the \
                     Apple/SGI AIFF format) through one standard library interface.
-long_description    ${description}
 homepage            http://www.mega-nerd.com/libsndfile/
 
 depends_build       port:pkgconfig
 depends_lib         port:flac port:libogg port:libvorbis
 
-master_sites        ${homepage}
+master_sites        ${homepage}files/
 
-checksums           rmd160 873802efaa3f1e3303167fe1b7302fe2ab4cbd59
+checksums           rmd160 3f4d3472aebf24b02c2ce3f370023f50096c1fbd
+
+livecheck.type      regex
+livecheck.url       ${homepage}
+livecheck.regex     \>libsndfile-(\\d+(\\.\\d+)*)\.tar\.gz\<
 
 configure.args \
     --disable-alsa --disable-octave --disable-sqlite --enable-external-libs
 
-post-configure {
-    system "ed - ${worksrcpath}/src/config.h < ${filespath}/src__config.h.ed"
-}
+#post-configure {
+#    system "ed - ${worksrcpath}/src/config.h < ${filespath}/src__config.h.ed"
+#}
 
 if {[variant_isset no_external_libs] && ![variant_isset sqlite]} {
     depends_build-delete port:pkgconfig
--- Portfile.1.0.20_0	2010-01-30 18:19:25.000000000 +0100
+++ Portfile	2010-01-30 18:22:43.000000000 +0100
@@ -3,24 +3,28 @@
 PortSystem          1.0
 
 name                libsndfile
-version             1.0.20
+version             1.0.21
 revision            0
 categories          audio
 maintainers         perry
 platforms           darwin
 
-description         libsndfile is a C library for reading and writing files \
+description         library for reading and writing sound files
+long_description    libsndfile is a C library for reading and writing files \
                     containing sampled sound (such as MS Windows WAV and the \
                     Apple/SGI AIFF format) through one standard library interface.
-long_description    ${description}
 homepage            http://www.mega-nerd.com/libsndfile/
 
 depends_build       port:pkgconfig
 depends_lib         port:flac port:libogg port:libvorbis
 
-master_sites        ${homepage}
+master_sites        ${homepage}files/
 
-checksums           rmd160 873802efaa3f1e3303167fe1b7302fe2ab4cbd59
+checksums           rmd160 3f4d3472aebf24b02c2ce3f370023f50096c1fbd
+
+livecheck.type      regex
+livecheck.url       ${homepage}
+livecheck.regex     \>libsndfile-(\\d+(\\.\\d+)*)\.tar\.gz\<
 
 configure.args \
     --disable-alsa --disable-octave --disable-sqlite --enable-external-libs
--- Portfile.1.0.20_0	2010-01-30 18:19:25.000000000 +0100
+++ Portfile	2010-01-30 18:29:50.000000000 +0100
@@ -3,24 +3,30 @@
 PortSystem          1.0
 
 name                libsndfile
-version             1.0.20
+version             1.0.21
 revision            0
 categories          audio
 maintainers         perry
 platforms           darwin
 
-description         libsndfile is a C library for reading and writing files \
+description         library for reading and writing sound files
+long_description    libsndfile is a C library for reading and writing files \
                     containing sampled sound (such as MS Windows WAV and the \
                     Apple/SGI AIFF format) through one standard library interface.
-long_description    ${description}
 homepage            http://www.mega-nerd.com/libsndfile/
 
 depends_build       port:pkgconfig
 depends_lib         port:flac port:libogg port:libvorbis
 
-master_sites        ${homepage}
+master_sites        ${homepage}files/
 
-checksums           rmd160 873802efaa3f1e3303167fe1b7302fe2ab4cbd59
+checksums           md5 880a40ec636ab2185b97f8927299b292 \
+                    sha1 136845a8bb5679e033f8f53fb98ddeb5ee8f1d97 \
+                    rmd160 3f4d3472aebf24b02c2ce3f370023f50096c1fbd
+
+livecheck.type      regex
+livecheck.url       ${homepage}
+livecheck.regex     \>libsndfile-(\\d+(\\.\\d+)*)\.tar\.gz\<
 
 configure.args \
     --disable-alsa --disable-octave --disable-sqlite --enable-external-libs