diff -ur astyle.old/Portfile astyle/Portfile
--- astyle.old/Portfile	2010-03-17 10:51:54.000000000 +1100
+++ astyle/Portfile	2010-03-17 10:30:07.000000000 +1100
@@ -4,7 +4,7 @@
 PortSystem        1.0
 
 name              astyle
-version           1.23
+version           1.24
 categories        devel
 platforms         darwin
 maintainers       wyuenho openmaintainer
@@ -17,11 +17,10 @@
 homepage          http://astyle.sourceforge.net
 master_sites      sourceforge::macosx
 distfiles         ${name}_${version}_macosx.tar.gz:macosx
-checksums         md5 9f7f3237996776d01bc6837cd445a442 \
-                  sha1 1ab3e36bc2f0f8e669fb6bbceaf051cafa043119 \
-                  rmd160 6940ac4e2f0351c141abf605d31931fefa1e7727
+checksums         md5 9b63dadac58e867f14b3894befbdc9b3 \
+                  sha1 6f5d727fb19e716223e14cd2b94d2c1d7fdab13f
 
-worksrcdir        ${name}/buildmac
+worksrcdir        ${name}/build/mac
 patchfiles        patch-Makefile.diff
 use_configure     no
 universal_variant no
diff -ur astyle.old/files/patch-Makefile.diff astyle/files/patch-Makefile.diff
--- astyle.old/files/patch-Makefile.diff	2010-03-17 10:51:54.000000000 +1100
+++ astyle/files/patch-Makefile.diff	2010-03-17 10:39:06.000000000 +1100
@@ -1,14 +1,13 @@
---- Makefile.old	2009-08-30 20:18:44.000000000 -0400
-+++ Makefile	2009-08-31 04:07:39.000000000 -0400
-@@ -14,27 +14,20 @@
- vpath %.cpp ../src
- vpath %.h   ../src
+--- Makefile.orig	2010-01-31 06:55:40.000000000 +1100
++++ Makefile	2010-03-17 10:38:07.000000000 +1100
+@@ -14,15 +14,9 @@
+ vpath %.cpp ../../src
+ vpath %.h   ../../src
  
 -# NOTE for java compiles the environment variable $JAVA_HOME must be set
 -# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
 -ifndef JAVA_HOME
--#   JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.06
--	JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.10
+-    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.16
 -endif
 -
  # set prefix if not defined on the command line
@@ -16,10 +15,11 @@
 -    prefix=/usr
 +    prefix=/usr/local
  endif
+ SYSCONF_PATH=$(prefix)/share/astyle
  
- # define macros
+@@ -31,11 +25,11 @@
  dynamiclib = -dynamiclib
- bindir = ../bin
+ bindir = bin
  objdir = obj
 -ipath=$(prefix)/bin
 +DESTDIR=$(prefix)
@@ -31,72 +31,35 @@
 +INSTALL=install -o $(USER)
  
  # for testing on linux
- ifdef test
-@@ -122,14 +115,14 @@
- 	$(CXX) -o $(bindir)/$@ $^
- 	@ echo
- 
--shared:  libastyle.so
--libastyle.so:  $(OBJs)
-+shared:  libastyle.dylib
-+libastyle.dylib:  $(OBJs)
- 	@ mkdir -p $(bindir)
- 	$(CXX) $(dynamiclib) -o $(bindir)/$@ $^
- 	@ echo
- 
--shareddebug:  libastyled.so
--libastyled.so:  $(OBJsd)
-+shareddebug:  libastyled.dylib
-+libastyled.dylib:  $(OBJsd)
- 	@ mkdir -p $(bindir)
- 	$(CXX) $(dynamiclib) -o $(bindir)/$@ $^
- 	@ echo
-@@ -146,16 +139,16 @@
- 	ar crs $(bindir)/$@ $^
- 	@ echo
- 
--java:  libastylej.so
--libastylej.so:  $(OBJsj)
-+java:  libastylej.dylib
-+libastylej.dylib:  $(OBJsj)
- 	@ mkdir -p $(bindir)
--	$(CXX) $(dynamiclib) -o $(bindir)/$@ $^
-+	$(CXX) $(dynamiclib) -framework JavaVM -o $(bindir)/$@ $^
- 	@ echo
- 
--javadebug:  libastylejd.so
--libastylejd.so:  $(OBJsjd)
-+javadebug:  libastylejd.dylib
-+libastylejd.dylib:  $(OBJsjd)
- 	@ mkdir -p $(bindir)
--	$(CXX) $(dynamiclib) -o $(bindir)/$@ $^
-+	$(CXX) $(dynamiclib) -framework JavaVM -o $(bindir)/$@ $^
- 	@ echo
- 
- all:  release debug shared shareddebug static staticdebug
-@@ -167,10 +160,19 @@
- 
+ ifdef linux
+@@ -170,16 +164,19 @@
  cleanobj:
  	rm -f $(objdir)/*.o
--	
+ 	
 -install:
--	@ $(INSTALL) -m 755 -d $(ipath)
--	$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)
-+
+-	$(INSTALL) -m 755 -d $(ipath)
+-	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)
+-
+-	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
+-	@for files in ../../doc/*.html  ../../doc/*.css; \
+-	do \
+-		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH); \
+-	done
+-
 +install:  release
-+	@$(INSTALL) -d $(DESTDIR)
++	@ $(INSTALL) -d $(DESTDIR)/bin
 +	$(INSTALL) $(bindir)/astyle  $(DESTDIR)/bin
 +
 +install-lib:  libastyle.a libastyle.dylib
-+	@ $(INSTALL) -d $(DESTDIR)
++	@ $(INSTALL) -d $(DESTDIR)/lib
 +	$(INSTALL) ../bin/libastyle.a ../bin/libastyle.dylib $(DESTDIR)/lib
 +
 +install-jnilib:	 libastylej.dylib
-+	@ $(INSTALL) -d $(DESTDIR)
++	@ $(INSTALL) -d $(DESTDIR)/lib
 +	$(INSTALL) ../bin/libastylej.dylib $(DESTDIR)/lib
- 
++ 
  uninstall:
 -	rm -f $(ipath)/astyle
 +	rm -f $(DESTDIR)/bin/astyle
 +	rm -f $(DESTDIR)/lib/libastyle%
-\ No newline at end of file
+ 	rm -rf $(SYSCONF_PATH)