--- build.conf.example.orig	2010-02-26 00:19:36.000000000 +0100
+++ build.conf.example	2010-02-26 14:42:32.000000000 +0100
@@ -9,44 +9,44 @@
 # Global include path which is always added at the end of the INCLUDEPATH
 SYS_INCLUDEPATH = /opt/local/include
 # Global lib path and libs which is ls always added at the end of LIBS
-SYS_LIBS = -L/opt/local/lib
+SYS_LIBS = -L/opt/local/lib -lz
 
 ##########################################################
 ## muParser (http://muparser.sourceforge.net/)
 ##########################################################
 
 # include path. leave it blank to use SYS_INCLUDE
-MUPARSER_INCLUDEPATH = $$QTI_ROOT/3rdparty/muparser/include
+#MUPARSER_INCLUDEPATH = $$QTI_ROOT/3rdparty/muparser/include
 # link statically against a copy in 3rdparty/
-MUPARSER_LIBS = $$QTI_ROOT/3rdparty/muparser/lib/libmuparser.a
+#MUPARSER_LIBS = $$QTI_ROOT/3rdparty/muparser/lib/libmuparser.a
 # or dynamically against a system-wide installation
-#MUPARSER_LIBS = -lmuparser
+MUPARSER_LIBS = -lmuparser
 
 ##########################################################
 ## GNU Sientific Library (http://www.gnu.org/software/gsl/)
 ##########################################################
 
 # include path. leave it blank to use SYS_INCLUDE
-GSL_INCLUDEPATH = $$QTI_ROOT/3rdparty/gsl/include
+#GSL_INCLUDEPATH = $$QTI_ROOT/3rdparty/gsl/include
 # link statically against a copy in 3rdparty/
-GSL_LIBS = $$QTI_ROOT/3rdparty/gsl/lib/libgsl.a \
-           $$QTI_ROOT/3rdparty/gsl/lib/libgslcblas.a
+#GSL_LIBS = $$QTI_ROOT/3rdparty/gsl/lib/libgsl.a \
+#           $$QTI_ROOT/3rdparty/gsl/lib/libgslcblas.a
 # or dynamically against a system-wide installation
-#GSL_LIBS = -lgsl -lgslcblas
+GSL_LIBS = -lgsl -lgslcblas
 
 ##########################################################
 ## Boost libraries (http://www.boost.org/)
 ##########################################################
 
 # include path. leave it blank to use SYS_INCLUDE
-BOOST_INCLUDEPATH = $$QTI_ROOT/3rdparty/boost
+#BOOST_INCLUDEPATH = $$QTI_ROOT/3rdparty/boost
 # link statically against a copy in 3rdparty/
-unix: BOOST_LIBS = $$QTI_ROOT/3rdparty/boost/lib/libboost_date_time-gcc43-mt-1_38.a \
-				   $$QTI_ROOT/3rdparty/boost/lib/libboost_thread-gcc43-mt-1_38.a
-win32:BOOST_LIBS = $$QTI_ROOT/3rdparty/boost/lib/libboost_date_time-mgw34-mt.lib \
-				   $$QTI_ROOT/3rdparty/boost/lib/libboost_thread-mgw34-mt.lib
+#unix: BOOST_LIBS = $$QTI_ROOT/3rdparty/boost/lib/libboost_date_time-gcc43-mt-1_38.a \
+#				   $$QTI_ROOT/3rdparty/boost/lib/libboost_thread-gcc43-mt-1_38.a
+#win32:BOOST_LIBS = $$QTI_ROOT/3rdparty/boost/lib/libboost_date_time-mgw34-mt.lib \
+#				   $$QTI_ROOT/3rdparty/boost/lib/libboost_thread-mgw34-mt.lib
 # or dynamically against a system-wide installation
-#BOOST_LIBS = -lboost_date_time-mt -lboost_thread-mt
+BOOST_LIBS = -lboost_date_time-mt -lboost_thread-mt
 
 ##########################################################
 ## QWT - use local copy till upstream catches up
@@ -75,9 +75,9 @@
 ###########################################################
 
 # include path.
-XLS_INCLUDEPATH = $$QTI_ROOT/3rdparty/libxls/include/
+#XLS_INCLUDEPATH = $$QTI_ROOT/3rdparty/libxls/include/
 # link locally against a copy in 3rdparty/
-XLS_LIBS = $$QTI_ROOT/3rdparty/libxls/lib/libxlsreader.a
+#XLS_LIBS = $$QTI_ROOT/3rdparty/libxls/lib/libxlsreader.a
 
 ###########################################################
 ## QuaZIP - optional. you don't have to set these variables
@@ -85,20 +85,20 @@
 ###########################################################
 
 # include path.
-QUAZIP_INCLUDEPATH = $$QTI_ROOT/3rdparty/quazip/quazip/
+#QUAZIP_INCLUDEPATH = $$QTI_ROOT/3rdparty/quazip/quazip/
 # link locally against a copy in 3rdparty/
-QUAZIP_LIBS = $$QTI_ROOT/3rdparty/quazip/lib/libquazip.a
+#QUAZIP_LIBS = $$QTI_ROOT/3rdparty/quazip/lib/libquazip.a
 
 ##########################################################
 ## libpng - optional. you don't have to set these variables
 ##########################################################
 
 # include path. leave it blank to use SYS_INCLUDE
-LIBPNG_INCLUDEPATH = $$QTI_ROOT/3rdparty/libpng/
+#LIBPNG_INCLUDEPATH = $$QTI_ROOT/3rdparty/libpng/
 # link statically against a copy in 3rdparty/
-LIBPNG_LIBS = $$QTI_ROOT/3rdparty/libpng/libpng.a
+#LIBPNG_LIBS = $$QTI_ROOT/3rdparty/libpng/libpng.a
 # or dynamically against a system-wide installation
-#LIBPNG_LIBS = -lpng
+LIBPNG_LIBS = -lpng
 
 ##########################################################
 ## EmfEngine - optional. you don't have to set these variables
@@ -106,9 +106,9 @@
 ##########################################################
 
 # include path.
-EMF_ENGINE_INCLUDEPATH = $$QTI_ROOT/3rdparty/EmfEngine/src
+#EMF_ENGINE_INCLUDEPATH = $$QTI_ROOT/3rdparty/EmfEngine/src
 # link locally against a copy in 3rdparty/
-EMF_ENGINE_LIBS = $$QTI_ROOT/3rdparty/EmfEngine/libEmfEngine.a
+#EMF_ENGINE_LIBS = $$QTI_ROOT/3rdparty/EmfEngine/libEmfEngine.a
 
 ##########################################################
 ## python - only used if python is needed
@@ -132,7 +132,7 @@
 contains( TARGET, qtiplot ) {
   # building without muParser doesn't work yet
   SCRIPTING_LANGS += muParser
-  SCRIPTING_LANGS += Python
+#  SCRIPTING_LANGS += Python
 
   # a console displaying output of scripts; particularly useful on Windows
   # where running QtiPlot from a terminal is inconvenient